select NFIRMENNR, NFIRMENKASSANR from tabfirmen;
select NFIRMENNR, NFIRMENKASSANR from tabfk2kontofirmzuord;

select firm.SZNAME, k2.SZTERMINKONTONR, BFIRMAAKTIV  from tabfirmen firm 
        inner join tabfk2kontofirmzuord k2  on concat(firm.NFIRMENNR,concat('-',firm.NFIRMENKASSANR)) = concat(k2.NFIRMENNR,concat('-',k2.NFIRMENKASSANR))
        where  k2.SZTERMINKONTONR = 'BGROUPES' order by firm.SZNAME;